<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>
	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML. (e.g. &gt; and &lt; that can mix up in HTML code)</em></p>
			<table border="2" cellpadding="5">
				<thead>
					<tr>
						<th colspan = "2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8377;</td>
						<td>#8377</td>
						<td>rupee sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation</td>
					</tr>
				</tbody>

				<tfoot>
					<tr>
						<th colspan="3"> List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>
		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form.</em></p>
			<form action="https://google.com">

				<label>Full name:</label><br>
				<input type="text" name="full_name" id="full_name"><br><br>

				<label>Birthdate:</label><br>
				<input type="date" name="birth_date" id="birth_date"><br><br>

				<label>Gender:</label><br>
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Male</option>
				</select><br><br>

				<label form="notes">Notes:</label><br>
				<textarea name="notes" id="notes" rows="5"></textarea><br><br>

				<label>New user?</label><br>
					<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label>
					<input type="radio" name="new_user" id="user-type2" value="no">
					<label for="user-type2">No</label><br><br>

				<label>Role:</label><br>
					<input type="checkbox" name="role1" id="role1" value="Developer">
					<label for="role1">Developer</label><br>
					<input type="checkbox" name="role2" id="role1" value="Developer">
					<label for="role2">Student</label><br>
					<input type="checkbox" name="role3" id="role1" value="Developer">
					<label for="role3">Manager</label><br><br>

				<button type="submit">Submit</button>
				<button type="reset">Reset</button></form>
		</section>
	</main>
</body>
</html>